### Method

# Foundry TemplateManager list_project_templates

#### Declaration [src]

    DexFuture*
    foundry_template_manager_list_project_templates (
      FoundryTemplateManager* self
    )

#### Description [src]

Queries all `FoundryTemplateProvider` for available `FoundryProjectTemplate`.

The resulting module may not be fully populated by all providers by time it resolves. You may await the completion of all providers by awaiting `foundry_list_model_await()` for the completion of all providers.

This allows the consumer to get a dynamically populating list model for user interfaces without delay.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryProjectTemplate`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.